package de.credo.lookup2;

import de.credo.lookup2.plugins.api.L2Constants;

public final class Constants {

	// Icon-URI-Keys in fragment.e4xmi for alternate Icons (disabled, selected, unselected)
	public	final static	String	DISABLED_ICON_URI_KEY				= "disabledIconURI";
	public	final static	String	SELECTED_ICON_URI_KEY				= "selectedIconURI";
	public	final static	String	UNSELECTED_ICON_URI_KEY				= "unselectedIconURI";

	// Toolbars
	public	final static	String	PERSPECTIVE_ID_KEY					= "perspectiveId";
	public	final static	String	RELATED_TO_PERSPECTIVE_FLAG			= "RelatedToPerspective";
	public	final static	String	PERSPECTIVES_TRIMBAR				= "de.credo.lookup2.trimbar.perspectiveselection";
	public	final static	String	MAIN_TRIMBAR						= "de.credo.lookup2.trimbar.main";
	public	final static	String	VIEWERS_TRIMBAR						= L2Constants.VIEWERS_TRIMBAR;
	public	final static	String	STATUS_TRIMBAR						= "de.credo.lookup2.trimbar.bottom";
	public	final static	String	PERSPECTIVE_STACK_ID				= "de.credo.lookup2.perspectivestack";
	public	final static	String	STRUCTURE_HEXVIEW_TOOLBAR			= "de.credo.lookup2.perspective.structure.toolbar.hexview";

	// Parameters
	public	final static	String	PERSPECTIVE_BUTTON_ID				= "org.eclipse.ui.perspectives.showPerspective.perspectiveId";
	public	final static	String	MESSAGE_SELECTION_BUTTON_ORDINAL	= "de.credo.lookup2.commandparameter.messages.button.ordinal";

	// Windows
	public	final static	String	MAIN_WINDOW							= "de.credo.lookup2.trimmedwindow";
	public	final static	String	STRUCTURE_SEARCH_WINDOW				= "de.credo.lookup2.window.structuresearch";

	// Parts
	public	final static	String	VIEW_PART							= L2Constants.VIEW_PART;
	public	final static	String	MESSAGE_PART						= "de.credo.lookup2.part.messages";
	public	final static	String	FILES_TREE_PART						= "de.credo.lookup2.perspective.files.part.tree";
	public	final static	String	OBJECTS_TREE_PART					= "de.credo.lookup2.perspective.objects.part.tree";
	public	final static	String	OBJECTS_PROPERTIES_PART				= "de.credo.lookup2.perspective.objects.part.properties";
	public	final static	String	OBJECTS_VIEW_PARTSTACK				= "de.credo.lookup2.perspective.objects.partstack.view";
	public	final static	String	STRUCTURE_TREE_PART					= "de.credo.lookup2.perspective.structure.part.tree";
	public	final static	String	STRUCTURE_PROPERTIES_PART			= "de.credo.lookup2.perspective.structure.part.properties";
	public	final static	String	STRUCTURE_HEXVIEW_PART				= "de.credo.lookup2.perspective.structure.part.hexview";
	public	final static	String	STRUCTURE_VIEW_PARTSTACK			= "de.credo.lookup2.perspective.structure.partstack.view";

	// Controls
	public	final static	String	CANCEL_BUTTON						= "de.credo.lookup2.handledtoolitem.cancel";
	public	final static	String	MESSAGE_LEVEL_BUTTON_VERBO			= "de.credo.lookup2.messages.handledtoolitem.verbose";
	public	final static	String	MESSAGE_LEVEL_BUTTON_DEBUG			= "de.credo.lookup2.messages.handledtoolitem.debug";
	public	final static	String	MESSAGE_LEVEL_BUTTON_INFO			= "de.credo.lookup2.messages.handledtoolitem.info";
	public	final static	String	MESSAGE_LEVEL_BUTTON_WARN			= "de.credo.lookup2.messages.handledtoolitem.warning";
	public	final static	String	MESSAGE_LEVEL_BUTTON_ERROR			= "de.credo.lookup2.messages.handledtoolitem.error";
	public	final static	String	MESSAGE_LEVEL_BUTTON_FATAL			= "de.credo.lookup2.messages.handledtoolitem.fatal";
	public	final static	String	SHOW_SUPPORTED_BUTTON				= "de.credo.lookup2.perspective.files.handledtoolitem.showsupported";
	public	final static	String	SHOW_HIDDEN_BUTTON					= "de.credo.lookup2.perspective.files.handledtoolitem.showhidden";

	// Menus
	public	final static	String	FULLSCREEN_MENU						= "de.credo.lookup2.handledmenuitem.fullscreen";
	public	final static	String	SHOWSUPPORTED_MENU					= "de.credo.lookup2.perspective.files.handledmenuitem.showsupported";
	public	final static	String	SHOWHIDDEN_MENU						= "de.credo.lookup2.perspective.files.handledmenuitem.showhidden";
	public	final static	String	OBJECTS_POPUP_MENU					= "de.credo.lookup2.perspective.objects.popupmenu";
	public	final static	String	STRUCTURE_POPUP_MENU				= "de.credo.lookup2.perspective.structure.popupmenu";

	// Events
	public	final static	String	SET_PERSPECTIVE_BUTTON_EVENT		= "L2_SET_PERSPECTIVE_BUTTON_EVENT";
	public	final static	String	OPEN_LOG_FILE_EVENT					= "L2_GLOBAL_OPEN_LOG_FILE_EVENT";
	public	final static	String	CLEAR_MESSAGES_EVENT				= "L2_MESSAGEPART_CLEAR_MESSAGES_EVENT";
	public	final static	String	ACTIVE_MESSAGE_LEVELS_EVENT			= "L2_MESSAGEHANDLER_SHOW_MESSAGES_EVENT";

	// Tags
	public	final static	String	OPEN_AS_IN_NEW_WINDOW_TAG			= "openInNewWindow";

	// Menüs
	public	final static	String	FILETREE_POPUP_MENU					= "de.credo.lookup2.perspective.files.popupmenu";

	// Other
	public	final static	String	LOGGER_ORIGIN_HEXVIEW				= "HexViewer";

}
