package de.credo.lookup2.handlers;

import org.eclipse.e4.core.contexts.Active;
import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.model.application.ui.basic.MTrimmedWindow;

import de.credo.lookup2.GlobalAppManager;
import de.credo.lookup2.plugins.api.L2FileData;

public class CloseFileHandler {

	@Execute
	public void execute(GlobalAppManager globalAppManager, @Active MTrimmedWindow window) {
		globalAppManager.closeFile(window, true);
	}

	@CanExecute
	public boolean canExecute(@Optional L2FileData fileData) {
		return fileData != null;
	}
}
