package de.credo.lookup2.handlers;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.workbench.IWorkbench;
import org.eclipse.jface.window.Window;
import org.eclipse.swt.widgets.Shell;

import de.credo.common.bundles.license.LicenseHandler;
import de.credo.lookup2.prefpages.MyPrefPageHandler;

public class PreferencesHandler {

	@Execute
	public void execute(@Optional Shell shell, MyPrefPageHandler prefPageHandler, LicenseHandler licenseHandler, @Optional IWorkbench workbench) {
		if (prefPageHandler.showDialog(shell) != Window.OK) {
			if (!licenseHandler.checkLicense()) {
				workbench.close();
			}
		}
	}

	@CanExecute
	public boolean canExecute() {
		return true;
	}
}
