package de.credo.lookup2.handlers.files;

import org.eclipse.e4.core.contexts.Active;
import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;

import de.credo.lookup2.filetree.api.FileTreeConstants;

public class ReloadFileTreeNodeHandler {

	@Execute
	public void execute(IEventBroker eventBroker) {
		eventBroker.send(FileTreeConstants.RELOAD_FILE_OBJECT, null);		// Die aktive Node und deren Kinder neu laden
	}

	@CanExecute
	public boolean canExecute(@Active MPart part) {
		return true;
	}
}
