package de.credo.lookup2.parts.files;

import jakarta.inject.Named;

import org.eclipse.e4.core.di.annotations.Evaluate;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.jface.viewers.ITreeSelection;

import de.credo.lookup2.filetree.api.FileTreeCategoryOwnTargets;

public class PopupMenuSelectionIsOwnTargetsCategoryExpression {

	@Evaluate
	public boolean evaluate(@Named(IServiceConstants.ACTIVE_SELECTION) ITreeSelection selection) {
		return selection != null && !selection.isEmpty() && selection.getFirstElement() instanceof FileTreeCategoryOwnTargets;
	}

}
