<?xml version="1.0" encoding="UTF-8"?>

<mffchi xmlns="http://www.compart.com/ns/mff/chi" version="202201">
   <!--
      **************************************************************************

      Copyright (C) Compart AG  2011

      Release: 202201

      **************************************************************************
-->

   <input>
      <!--Specifies how overlays are processed. With the value TRUE, the overlay is
                referenced and processed as a unit. With FALSE, the overlay is resolved into
                components (text, graphics, paths etc.) and added to the page content.-->

      <overlayasreference value="true"/>

      <!--Specifies whether index values are read.
        -->
      <!--Attribute: value @comment: Specifies whether index values are read. "true": Index values are
        read (default); "false": Index values are ignored (may increase processing
        speed).-->

      <readarchivefields value="true"/>

      <!--Specifies whether overlays are processed at input and rendered to a
        bitmap. With "true" the overlay is processed and rendered. With "false" the overlay is
        retained as overlay.-->

      <renderoverlays value="true"/>

      <!--Specifies whether the spool index TLEs are used.-->

      <usespoolindex value="false"/>

      <encodinglist>
         <encoding name="Postel">
            <!--Please edit carefully! Specifies and entry (in the encoding list) consisting of a
        character name and the corresponding unicode character.-->

            <entry devname="euro" char="20AC"/>
         </encoding>
      </encodinglist>
   </input>

   <fontlist>
      <font family="ADG" size="10.0" pitch="1500" reftype="TrueType" serifstyle="Serif" spacing="Proportional" usedefaultcharincrement="yes">
         <face devname="ADG8" id="1" size="7.5" weight="Medium" width="Normal" style="Upright" fontfile="COURI" fontfiletype="TrueType" embed="Always" hscaling="1000"/>
         <face devname="ADG8X" weight="Medium" style="Upright" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="ADG10" weight="Medium" style="Upright" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="ADG10X" weight="Medium" style="Upright" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="ADG8I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="ADG8IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="ADG10I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="ADG10IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="ADG8" weight="Bold" style="Upright" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="ADG8X" weight="Bold" style="Upright" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="ADG10" weight="Bold" style="Upright" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="ADG10X" weight="Bold" style="Upright" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="ADG8I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="ADG8IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="ADG10I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="ADG10IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
      </font>

      <font family="COURIER" usedefaultcharincrement="yes">
         <face devname="CUR6" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR6LAY" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR6X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="COU7" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR8" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR8X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR10" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR10X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR10X4" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR10X6" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR12" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR12X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="LINEDRAW" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="MATH" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="SCRIPT" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="COUR17" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR20 " weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR20X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="CUR6I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR6IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR8I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR8IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR10I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR10IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR12I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR12IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="COUR17I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR20I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR20IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="CUR6" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR6LAY" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR6X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="COU7" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR8" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR8X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR10" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR10X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR10X4" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR10X6" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR12" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR12X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="LINEDRAW" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="MATH" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="SCRIPT" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="COUR17" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR20 " weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR20X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="CUR6I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR6IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR8I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR8IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR10I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR10IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR12I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR12IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="COUR17I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR20I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="CUR20IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
      </font>

      <font family="ELITE" usedefaultcharincrement="yes">
         <face devname="ELITE" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="ELITEX" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="ELITE" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
         <face devname="ELITEX" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
      </font>

      <font family="FUTURA" usedefaultcharincrement="yes">
         <face devname="FUTURA8" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="FUTUR8X" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="FUTURA10" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="FUTUR10X" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="FUTURA12" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="FUTUR12X" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="FUTURA15" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="FUTUR15X" weight="Medium" style="Upright" fontfile="arial" fontfiletype="TrueType"/>
         <face devname="FUTURA8" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
         <face devname="FUTUR8X" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
         <face devname="FUTURA10" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
         <face devname="FUTUR10X" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
         <face devname="FUTURA12" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
         <face devname="FUTUR12X" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
         <face devname="FUTURA15" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
         <face devname="FUTUR15X" weight="Bold" style="Upright" fontfile="arialbd" fontfiletype="TrueType"/>
      </font>

      <font family="Italic" usedefaultcharincrement="yes">
         <face devname="Italic" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="ItalicX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="Italic" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="ItalicX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
      </font>

      <font family="OCR B" usedefaultcharincrement="yes">
         <face devname="OCRB" weight="Medium" style="Upright" fontfile="ocrb" fontfiletype="TrueType"/>
      </font>

      <font family="OCRB" usedefaultcharincrement="yes">
         <face devname="OCRB" weight="Medium" style="Upright" fontfile="ocrb" fontfiletype="TrueType" hscaling="990"/>
         <face devname="OCRB" weight="Bold" style="Upright" fontfile="ocrb" fontfiletype="TrueType" hscaling="990"/>
      </font>

      <font family="RANS" usedefaultcharincrement="yes">
         <face devname="RANS6" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS6X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS8" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS8X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS10" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS10X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS12" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS12X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS20" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS20X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS45" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS45X" weight="Medium" style="Upright" fontfile="COUR" fontfiletype="TrueType"/>
         <face devname="RANS6I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="RANS6IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="RANS8I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="RANS10I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="RANS10IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="RANS45I" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="RANS45IX" weight="Medium" style="Italic" fontfile="COURI" fontfiletype="TrueType"/>
         <face devname="RANS6" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS6X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS8" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS8X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS10" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS10X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS12" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS12X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS20" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS20X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS45" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS45X" weight="Bold" style="Upright" fontfile="COURBD" fontfiletype="TrueType"/>
         <face devname="RANS6I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="RANS6IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="RANS8I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="RANS10I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="RANS10IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="RANS45I" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
         <face devname="RANS45IX" weight="Bold" style="Italic" fontfile="COURBI" fontfiletype="TrueType"/>
      </font>

      <font family="ARIAL">
         <face weight="Medium" style="Upright" devname="ARIAL" fontfile="ARIAL" fontfiletype="TrueType"/>
         <face weight="Medium" style="Italic" devname="ARIALI" fontfile="ARIALI" fontfiletype="TrueType"/>
         <face weight="Bold" style="Upright" devname="ARIALBD" fontfile="ARIALBD" fontfiletype="TrueType"/>
         <face weight="Bold" style="Italic" devname="ARIALBI" fontfile="ARIALBI" fontfiletype="TrueType"/>
      </font>

      <font family="VERDANA" serifstyle="Serif" spacing="Proportional" reftype="TrueType">
         <face devname="VERDANA" weight="Medium" width="Normal" style="Upright" fontfile="verdana" fontfiletype="TrueType" embed="Always"/>
         <face devname="VERDANA" weight="Medium" width="Normal" style="Italic" fontfile="verdanai" fontfiletype="TrueType" embed="Always"/>
         <face devname="VERDANA" weight="Bold" width="Normal" style="Upright" fontfile="verdanab" fontfiletype="TrueType" embed="Always"/>
         <face devname="VERDANA" weight="Bold" width="Normal" style="Italic" fontfile="verdanaz" fontfiletype="TrueType" embed="Always"/>
         <face devname="PTVERDANA" id="4" size="9" weight="Medium" style="Upright" fontfile="verdana" fontfiletype="TrueType"/>
      </font>

      <font family="OCRB" size="10" pitch="12000">
         <face id="1" weight="Medium" style="Upright" fontfile="OCR-B" fontfiletype="TrueType"/>
      </font>

      <font family="ARIAL" size="10" pitch="12000">
         <face id="2" weight="Medium" style="Upright" fontfile="ARIAL" fontfiletype="TrueType"/>
      </font>

      <font family="LUCIDA CONSOLE UNICODE" size="10" pitch="12000">
         <face id="3" weight="Medium" style="Upright" fontfile="L_10646" fontfiletype="TrueType"/>
      </font>
   </fontlist>

   <barcodelist>
      <barcode name="BAR39" type="Code 39" modulewidth="15 tw" width="0" height="0" checkdigits="0" displayhri="false" fontid="0" column="0" row="0" encoding="mix" errorcorrectionlevel="0"/>
      <barcode name="BC128" type="Code 128" modulewidth="13 tw"/>
      <barcode name="BC128L3" type="Code 128B" modulewidth="13 tw"/>
      <barcode name="BCEAN13" type="EAN 13" modulewidth="19 tw" displayhri="true"/>
      <barcode name="BC25I" type="Code 2/5 Int" modulewidth="17 tw"/>
      <barcode name="BC25INT4" type="Code 2/5 Int" modulewidth="17 tw"/>
      <barcode name="BC128V1" type="Code 128C" modulewidth="17 tw" checkdigits="1" fontid="3"/>
      <barcode name="DTMX200V1" type="DataMatrix 200" column="48" row="16" encoding="ascii"/>
      <barcode name="QRC" type="Qrcode" errorcorrectionlevel="15"/>
      <barcode name="QRCRAW2XML" type="Qrcode" errorcorrectionlevel="15"/>
   </barcodelist>

   <!--Specifies the address format: "vpos" and "hpos" specify the address
        positon. The alignment and lines per inch can be specified as general setting for all
        addresses or for each address individually -->

   <addressformats valign="top" lpi="11" default="ADDFMT1" maxlinelength="94 mm">
      <addressformat name="ADDFMT2" fontid="2" maxlinelength="96 mm"/>
      <addressformat name="ADDFMT1" fontid="1"/>
      <addressformat name="ADDFMT3" fontid="3"/>
      <addressformat name="VERDANA" fontid="4"/>
   </addressformats>

   <highlightcolorlist>
      <highlightcolor name="Black" rgb="#00000000" cmyk="#00FFFFFF"/>
      <highlightcolor name="Silver" rgb="#00C0C0C0" cmyk="#C0C0C000"/>
      <highlightcolor name="Gray" rgb="#00808080" cmyk="#80808000"/>
      <highlightcolor name="White" rgb="#00FFFFFF" cmyk="#FFFFFFFF"/>
      <highlightcolor name="Maroon" rgb="#00800000" cmyk="#80000000"/>
      <highlightcolor name="Red" rgb="#00FF0000" cmyk="#FF000000"/>
      <highlightcolor name="Green" rgb="#00008000" cmyk="#00800000"/>
      <highlightcolor name="Lime" rgb="#0000FF00" cmyk="#00FF0000"/>
      <highlightcolor name="Olive" rgb="#00808000" cmyk="#80800000"/>
   </highlightcolorlist>

   <!--Specifies the net connection type. "Direct" (default): Direct
        connection; "System": Use the system setting (only on Windows); "Manual": Use manual proxy
        settings-->

   <netconnection type="Direct">
      <!--Specifies proxy settings for different protocols. "usesameproxy" "true": Specify
        the proxy setting for http and use this setting for all protocols. "false" (default):
        Specify the "protocol" and "server" in the "proxy" element for the supported protocols
        "http" and "ftp"-->
      <!--<proxylist usesameproxy="false">        
         <proxy protocol="http" server="localhost" port="8080" username="" password=""/>
      </proxylist>-->
   </netconnection>

   <resourcelist>
      <fileslist>
         <files type="Overlay" extension="pcl" path="."/>

         <!--<files path="" type="Overlay" extension="pcl"/>-->
         <!--<files path="./res" type="ResourceList" extension="xml"/>-->
         <!--<files path="c:\windows\fonts" type="TrueType" extension="ttf"/>-->
         <!--<files path="." type="EnvironmentLib" extension="csv"/>-->
      </fileslist>
   </resourcelist>
</mffchi>
