<?xml version="1.0" encoding="UTF-8"?>

<mffnoc xmlns="http://www.compart.com/ns/mff/noc" version="202201">
   <!--
      **************************************************************************

      Copyright (C) Compart AG  2011

      Release: 202201

      **************************************************************************
-->
   <!--Settings for input.-->

   <Input>
      <!--Configuration for Native Office Converter-->
      <!--Attribute: microsoftOfficeTermination @comment: 
                Close the Microsoft Office instance being used when the MFFNOC module is closed.-->
      <!--Attribute: serverMode @comment: 
                Use Native Office Converter in server mode. The server mode is useful in multiprocess environments 
                where multiple Microsoft Office instances will be opened for parallel conversion (one per process). 
                In non-server mode a single Microsoft Office instance is being reused by all processes.-->
      <!--Attribute: useCompartPrintModule @comment: 
                Specifies whether DocBridge Print Module should be used by Native Office Converter.-->

      <PoshEngineConfiguration microsoftOfficeTermination="false" serverMode="false" useCompartPrintModule="false"/>
   </Input>

   <!--Settings for Native Office Converter.-->

   <Modules>
      <!--Settings for Office Application.-->

      <Office>
         <!--Settings for Office Word Application.-->

         <Word useISO19005="true"/>
      </Office>
   </Modules>
</mffnoc>
