<?xml version="1.0" encoding="UTF-8"?>

<mffnoc xmlns="http://www.compart.com/ns/mff/noc" version="202209">
   <!--
      **************************************************************************

      Copyright (C) Compart AG  2011

      Release: 202209

      **************************************************************************
-->
   <!--Settings for input.-->

   <Input>
      <!--Configuration for Native Office Converter-->
      <!--Attribute: microsoftOfficeTermination @comment: 
                Close the Microsoft Office instance being used when the MFFNOC module is closed.-->
      <!--Attribute: serverMode @comment: 
                Use Native Office Converter in server mode. The server mode is useful in multiprocess environments 
                where multiple Microsoft Office instances will be opened for parallel conversion (one per process). 
                In non-server mode a single Microsoft Office instance is being reused by all processes.-->
      <!--Attribute: useCompartPrintModule @comment: 
                Specifies whether DocBridge Print Module should be used by Native Office Converter.-->
      <!--Attribute: attachmentResolving @comment: The attribute 'attachmentResolving' specifies
                    whether and how to follow a possible attachment tree/list.
					If it is specified 'none, it does not follow any child document.
					If it is specified 'direct', it reads only the first child of attachement.
					If it is specified 'recurse', it reads the full child tree.
					If it is specified 'container', it creeps into archives, eMail - stuff with physical files.-->
      <!--Attribute: attachmentProcessing @comment: The attribute 'attachmentProcessing' specifies
                how the attachment should be treated if attribute 'attachmentResolving' is not none.
				If it is specified 'render', it reads the attachment file
				If it is specified 'extract',it extracts the attachment without processing it.-->

      <PoshEngineConfiguration microsoftOfficeTermination="false" serverMode="false" useCompartPrintModule="false" attachmentResolving="none" attachmentProcessing="render"/>
   </Input>

   <!--Settings for Native Office Converter.-->

   <Modules>
      <!--Settings for Office Application.-->

      <Office>
         <!--Settings for Office Word Application.-->

         <Word useISO19005="true"/>
      </Office>
   </Modules>
</mffnoc>
