package de.credo.lookup2.controls;

import jakarta.annotation.PostConstruct;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.ProgressBar;

import de.credo.lookup2.GlobalProgressMonitor;
import de.credo.lookup2.plugins.api.L2ProgressMonitor;

public class GlobalProgressMonitorControl {

	@PostConstruct
	public void createControls(Composite parent, L2ProgressMonitor monitor) {
		Composite	composite	= new Composite(parent, SWT.NONE);
		GridLayout	gl			= new GridLayout();
		gl.verticalSpacing		= 0;
		composite.setLayout(gl);

		ProgressBar	progressBar	= new ProgressBar(composite, SWT.HORIZONTAL);
		progressBar.setLayoutData(new GridData(SWT.FILL, SWT.BOTTOM, true, false));
		progressBar.setMinimum(0);
		progressBar.setSelection(0);
		progressBar.setMaximum(1);
		progressBar.setVisible(false);		// Wird vom ProgressMonitor bei Bedarf eingeschaltet

		((GlobalProgressMonitor) monitor).setProgressBar(progressBar);
	}

}