package de.credo.lookup2.handlers;

import org.eclipse.e4.core.contexts.Active;
import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.swt.widgets.Shell;

import de.credo.lookup2.prefpages.AboutPreferencePage;
import de.credo.lookup2.prefpages.MyPrefPageHandler;

public class AboutDialogHandler {

	@Execute
	public void execute(@Active Shell shell, MyPrefPageHandler prefPageHandler) {
		prefPageHandler.showDialog(shell, AboutPreferencePage.class);
	}

	@CanExecute
	public boolean canExecute() {
		return true;
	}

}
