package de.credo.lookup2.parts.files;

import jakarta.inject.Named;

import org.eclipse.e4.core.di.annotations.Evaluate;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.jface.viewers.ITreeSelection;

import de.credo.lookup2.filetree.api.FileTreeNodeFile;

public class PopupMenuSelectionIsFileExpression {

	@Evaluate
	public boolean evaluate(@Named(IServiceConstants.ACTIVE_SELECTION) ITreeSelection selection) {
		if (selection != null) {
			for (Object s: selection.toArray()) {
				if (s instanceof FileTreeNodeFile && ((FileTreeNodeFile) s).isFile())
					return true;
			}
		}

		return false;
	}

}
