package de.credo.lookup2.parts.files;

import jakarta.inject.Named;

import org.eclipse.e4.core.di.annotations.Evaluate;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.jface.viewers.ITreeSelection;

import de.credo.lookup2.filetree.api.FileTreeCategoryOwnTargets;
import de.credo.lookup2.filetree.api.FileTreeNodeFile;
import de.credo.lookup2.filetree.api.FileTreeNodeFileSystem;

public class PopupMenuSelectionIsOwnTargetExpression {

	@Evaluate
	public boolean evaluate(@Named(IServiceConstants.ACTIVE_SELECTION) ITreeSelection selection) {
		if (selection !=null) {
			for (Object s: selection.toArray()) {
				if (s instanceof FileTreeNodeFileSystem && ((FileTreeNodeFile) s).getParent() instanceof FileTreeCategoryOwnTargets)
					return true;
			}
		}

		return false;
	}

}
